<!DOCTYPE html>
<html>
	
	<head>

	</head>
<body>
<pre id="alfaChiaro" style="font-size:3em ;">ABCDEFGHILMNOPQRSTUVZ</pre>

<pre id="alfaCifrato"style="font-size:3em ;">BCDEFGHILMNOPQRSTUVZA</pre>

<hr>
<h2 id="trasformazione"> Y = X + 1 </h2>


 <input type="button" value="<<" onClick=" setCifrario( document.a, --document.b);aggiornaUI() ">
 <input type="button" value=">>" onClick=" setCifrario( document.a, ++document.b);aggiornaUI() ">

 <input type="button" value="^" onClick=" setCifrario( ++document.a, document.b);aggiornaUI() ">
 <input type="button" value="V" onClick=" setCifrario( --document.a, document.b);aggiornaUI() ">
<hr>



  <label for="testoChiaro">TestoInChiaro</label><br>
  <textarea id="testoChiaro" name="testoChiaro" style="width: 80%; height: 30%;"></textarea>
  
  <br><br>
  
  <input type="button" value="Cifra" onClick=" cliccatoCifra() ">
  <input type="button" value="Leva Spazi" onClick=" levaSpazi('testoChiaro') ">
  <input type="button" value="copia" onClick="copia('testoChiaro') ">
  <input type="button" value="cancella" onClick="cancella('testoChiaro') ">
   
  <br>  <br>  <br>
  
  <label for="testoCifrato">Testo Cifrato</label><br>
  
  <textarea id="testoCifrato" name="testoCifrato" style="width: 80%; height: 30%;"></textarea><br><br>
  <input type="button" value="Decifra" onClick=" cliccatoDecifra() ">
  <input type="button" value="Leva Spazi" onClick=" levaSpazi('testoCifrato') ">
  <input type="button" value="copia" onClick="copia('testoCifrato') ">
  <input type="button" value="cancella" onClick="cancella('testoCifrato') ">
 
</body>
</html>
